Module javafx.graphics
Package javafx.css

# Class StyleableLongProperty

java.lang.Object
javafx.beans.binding.NumberExpressionBase
javafx.beans.binding.LongExpression
javafx.beans.property.ReadOnlyLongProperty
javafx.beans.property.LongProperty
javafx.beans.property.LongPropertyBase
javafx.css.StyleableLongProperty

All Implemented Interfaces:
  `NumberExpression`, `Observable`, `Property<Number>`, `ReadOnlyProperty<Number>`, `ObservableLongValue`, `ObservableNumberValue`, `ObservableValue<Number>`, `WritableLongValue`, `WritableNumberValue`, `WritableValue<Number>`, `StyleableProperty<Number>`

Direct Known Subclasses:
  `SimpleStyleableLongProperty`

    public abstract class StyleableLongProperty
    extends LongPropertyBase
    implements StyleableProperty<Number>

This class extends `LongPropertyBase` and provides a partial implementation of a `StyleableProperty`. The method `StyleableProperty.getCssMetaData()` is not implemented. This class is used to make a `LongProperty`, that would otherwise be implemented as a `LongPropertyBase`, styleable by CSS.

Since:
  JavaFX 8.0
See Also:
  `LongPropertyBase`, `CssMetaData`, `StyleableProperty`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `StyleableLongProperty()` | The constructor of the `StyleableLongProperty`.
  `StyleableLongProperty​(long initialValue)` | The constructor of the `StyleableLongProperty`.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `void` | `applyStyle​(StyleOrigin origin, Number v)` | This method is called from CSS code to set the value of the property.
  `void` | `bind​(ObservableValue<? extends Number> observable)` | Create a unidirection binding for this `Property`.
  `StyleOrigin` | `getStyleOrigin()` | Tells the origin of the value of the property.
  `void` | `set​(long v)` | Set the wrapped value.

  ### Methods inherited from class javafx.beans.property.LongPropertyBase

  `addListener, addListener, fireValueChangedEvent, get, invalidated, isBound, removeListener, removeListener, toString, unbind`

  ### Methods inherited from class javafx.beans.property.LongProperty

  `asObject, bindBidirectional, longProperty, setValue, unbindBidirectional`

  ### Methods inherited from class javafx.beans.property.ReadOnlyLongProperty

  `readOnlyLongProperty`

  ### Methods inherited from class javafx.beans.binding.LongExpression

  `add, add, add, add, divide, divide, divide, divide, doubleValue, floatValue, getValue, intValue, longExpression, longExpression, longValue, multiply, multiply, multiply, multiply, negate, subtract, subtract, subtract, subtract`

  ### Methods inherited from class javafx.beans.binding.NumberExpressionBase

  `add, asString, asString, asString, divide, greaterThan, greaterThan, greaterThan, greaterThan, greaterThan, greaterThanOrEqualTo, greaterThanOrEqualTo, greaterThanOrEqualTo, greaterThanOrEqualTo, greaterThanOrEqualTo, isEqualTo, isEqualTo, isEqualTo, isEqualTo, isEqualTo, isEqualTo, isEqualTo, isEqualTo, isNotEqualTo, isNotEqualTo, isNotEqualTo, isNotEqualTo, isNotEqualTo, isNotEqualTo, isNotEqualTo, isNotEqualTo, lessThan, lessThan, lessThan, lessThan, lessThan, lessThanOrEqualTo, lessThanOrEqualTo, lessThanOrEqualTo, lessThanOrEqualTo, lessThanOrEqualTo, multiply, numberExpression, subtract`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface javafx.beans.value.ObservableValue

  `getValue`

  ### Methods inherited from interface javafx.beans.property.ReadOnlyProperty

  `getBean, getName`

  ### Methods inherited from interface javafx.css.StyleableProperty

  `getCssMetaData`

  ### Methods inherited from interface javafx.beans.value.WritableValue

  `getValue`

- ## Constructor Details

  - ### StyleableLongProperty

    public StyleableLongProperty()
    The constructor of the `StyleableLongProperty`.

  - ### StyleableLongProperty

    public StyleableLongProperty​(long initialValue)
    The constructor of the `StyleableLongProperty`.
    Parameters:
      `initialValue` - the initial value of the wrapped `Object`

- ## Method Details

  - ### applyStyle

    public void applyStyle​(StyleOrigin origin, Number v)
    This method is called from CSS code to set the value of the property.
    Specified by:
      `applyStyle` in interface `StyleableProperty<Number>`
    Parameters:
      `origin` - the origin
      `v` - the value

  - ### bind

    public void bind​(ObservableValue<? extends Number> observable)
    Create a unidirection binding for this `Property`.

    Note that JavaFX has all the bind calls implemented through weak listeners. This means the bound property can be garbage collected and stopped from being updated.

    Specified by:
      `bind` in interface `Property<Number>`
    Overrides:
      `bind` in class `LongPropertyBase`
    Parameters:
      `observable` - The observable this `Property` should be bound to.

  - ### set

    public void set​(long v)
    Set the wrapped value. Unlike `WritableLongValue.setValue(java.lang.Number)`, this method uses primitive long.
    Specified by:
      `set` in interface `WritableLongValue`
    Overrides:
      `set` in class `LongPropertyBase`
    Parameters:
      `v` - The new value

  - ### getStyleOrigin

    public StyleOrigin getStyleOrigin()
    Tells the origin of the value of the property. This is needed to determine whether or not CSS can override the value.
    Specified by:
      `getStyleOrigin` in interface `StyleableProperty<Number>`
    Returns:
      the style origin